src/main/EPPW.Web/Areas/Admin/Controllers/AdminProgramController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using EPPW.Membership.Dto;
using EPPW.Membership.Service;
using Sliverant.Web.Common;

namespace EPPW.Web.Areas.Admin.Controllers
{
    [AllowAnonymous]
    public class AdminProgramController : BaseController
    {
        public IProgramService ProgramService { private get; set; }
        // GET: /AdminMng/AdminProgram/

        public ActionResult Index(string id)
        {
            List<ProgramDto> result = ProgramService.GetAllProgramDto();

            return View(result);
        }
 

        // GET: /AdminMng/AdminProgram/Details/5

        public ActionResult Details(int id)
        {
            ProgramDto programDto = ProgramService.GetProgramDtoById(id);

            return View(programDto);
        }

        public ActionResult ProgramsInRole(int id, string programName)
        {
            List<RoleDto> roleList = ProgramService.GetRoleDtoByProgramId(id);
            ViewBag.ProgramName = programName;
            return View(roleList);
        }

        // GET: /AdminMng/AdminProgram/Create

        public ActionResult Create(string id)
        {

            return View();
        }

        // POST: /AdminMng/AdminProgram/Create

        [HttpPost]
        public ActionResult Create(ProgramDto programDto)
        {
            try
            {
                // TODO: Add insert logic here
                //Modify By JiangYaFei 2014-8-12 14:29:55
                ProgramService.AddProgramDto(programDto, SessionService.UserInfo.UserId);
                return RedirectToAction("Index");
            }
            catch(Exception ex)
            {
                return View();
            }
        }

        // GET: /AdminMng/AdminProgram/Edit/5

        public ActionResult Edit(int id)
        {
            ProgramDto programDto = ProgramService.GetProgramDtoById(id);
            return View(programDto);
        }

        // POST: /AdminMng/AdminProgram/Edit/5

        [HttpPost]
        public ActionResult Edit(int id, ProgramDto programDto)
        {
            try
            {
                // TODO: Add update logic here
                ProgramService.UpdateProgramDto(programDto, SessionService.UserInfo.UserId);

                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }

        // GET: /AdminMng/AdminProgram/Delete/5

        public ActionResult Delete(int id)
        {
            ProgramDto programDto = ProgramService.GetProgramDtoById(id);
            return View(programDto);
        }

        // POST: /AdminMng/AdminProgram/Delete/5

        [HttpPost]
        public ActionResult Delete(int id, FormCollection collection)
        {
            try
            {
                // TODO: Add delete logic here
                ProgramService.DeleteProgramDtoById(id);
                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }

        public JsonResult ProgramListByRole()
        {
            List<ProgramDto> appPrograms = ProgramService.GetAllProgramDto();

            var result = from program in appPrograms
                         select new
                         {
                             check = String.Format("<input type=\"checkbox\" name=\"Programs\" value=\"{0}\">", program.ProgramId)
                             ,
                             Code = program.Code
                             ,
                             Name = program.Name
                             ,
                             Desc = program.Description
                         };

            return Json(new { aaData = result }, JsonRequestBehavior.AllowGet);
        }
    }
}

src/main/EPPW.Web/Areas/Admin/Controllers/AdminRoleController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Script.Serialization;
using EPPW.Membership.Service;
using EPPW.Membership.Dto;
using Sliverant.Web.Common;

namespace EPPW.Web.Areas.Admin.Controllers
{
    [AllowAnonymous]
    public class AdminRoleController : BaseController
    {
        public IRoleService RoleService { private get; set; }

        // GET: /AdminMng/AdminRole/

        public ActionResult Index(string id)
        {
            List<RoleDto> result = RoleService.GetAllRoleDto();

            return View(result);
        }

    //    // GET: /AdminMng/AdminRole/Details/5

    //    public ActionResult Details(int id)
    //    {
    //        Role result = MembershipService.GetRole(id);
    //        return View(result);
    //    }

        public ActionResult RoleHasUsers(int id, string roleName)
        {
            List<UserDto> result = RoleService.GetUserDtoDtoByRoleId(id);
            ViewBag.RoleId = id;
            ViewBag.RoleName = roleName;
            return View(result);
        }
        public ActionResult RoleHasPrograms(int id,string roleName)
        {
            List<ProgramDto> result = RoleService.GetProgramDtoDtoByRoleId(id);
            ViewBag.RoleId = id;
            ViewBag.RoleName = roleName;
            return View(result);
        }

        // GET: /AdminMng/AdminRole/Create

        public ActionResult Create(string id)
        {

            return View();
        }

        // POST: /AdminMng/AdminRole/Create

        [HttpPost]
        public ActionResult Create(RoleDto role)
        {
            try
            {
                // TODO: Add insert logic here
                RoleService.AddRoleDto(role);

                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }

        // GET: /AdminMng/AdminRole/Edit/5

        public ActionResult Edit(int id)
        {
            RoleDto result = RoleService.GetRoleDto(id);
            return View(result);
        }

        // POST: /AdminMng/AdminRole/Edit/5

        [HttpPost]
        public ActionResult Edit(int id, RoleDto collection)
        {
            try
            {
                // TODO: Add update logic here
                RoleService.UpdateRoleDto(collection);

                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }


        // GET: /AdminMng/AdminRole/Delete/5

        public ActionResult Delete(int id)
        {
            RoleDto result = RoleService.GetRoleDto(id);
            return View(result);
        }

        // POST: /AdminMng/AdminRole/Delete/5

        [HttpPost]
        public ActionResult Delete(int id, FormCollection collection)
        {
            try
            {
                // TODO: Add delete logic here
                RoleService.DeleteRoleDtoById(id);

                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }

        [HttpPost]
        public JsonResult Program(int id, string data)
        {
            List<ProgramDto> ProgramList = (new JavaScriptSerializer()).Deserialize<List<ProgramDto>>(data);

            foreach (ProgramDto ProgramPage in ProgramList)
            {
                if (ProgramPage.Status == DtoStatus.Delete)
                    RoleService.DeleteProgramDtoInRole(id, ProgramPage.ProgramId);

                if (ProgramPage.Status == DtoStatus.Add)
                    RoleService.AddProgramDtoInRole(id, ProgramPage.ProgramId);
            }

            return Json(new { result = true }, JsonRequestBehavior.AllowGet);
        }

        [HttpPost]
        public JsonResult User(int id, string data)
        {
            List<UserDto> roleHasUsers = RoleService.GetUserDtoDtoByRoleId(id);

            List<UserDto> UserList = (new JavaScriptSerializer()).Deserialize<List<UserDto>>(data);

            foreach (UserDto user in UserList)
            {
                UserDto Target = roleHasUsers.FirstOrDefault(c => c.UserId == user.UserId);
                if (user.Status == DtoStatus.Delete)
                    RoleService.DeleteUserDtoInRole(id, user.UserId);

                if (Target == null && user.Status == DtoStatus.Add)
                    RoleService.AddUserDtoInRole(id, user.UserId);
            }

            return Json(new { result = true }, JsonRequestBehavior.AllowGet);
        }

    }
}

src/main/EPPW.Web/Areas/Admin/Views/AdminRole/Create.cshtml
@model EPPW.Membership.Dto.RoleDto

@{
    ViewBag.Title = "Create";
    Layout = "~/Areas/Admin/Views/Shared/_Layout.cshtml";
}

@section SideContent
{
    <div class="row-fluid">
        <div class="span12" >
            <blockquote>
              <p>Role</p>
            </blockquote>
        </div>
    </div>
}

<div class="row-fluid">
    <div class="span2">
    </div>
    <div class="span10">

@using (Html.BeginForm(ViewContext.RouteData.GetRequiredString("action"), ViewContext.RouteData.GetRequiredString("controller"), new { }, FormMethod.Post, new { id = "RoleForm", @class = "form-horizontal" }))
    {
    @Html.ValidationSummary(true)

    <fieldset>
        <legend>Role Create</legend>
        <div class="control-group">
            <label class="control-label" for="cname">@Html.LabelFor(model => model.RoleName)</label>
            <div class="controls">
                 @Html.EditorFor(model => model.RoleName)
                 @Html.ValidationMessageFor(model => model.RoleName)
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="cname">@Html.LabelFor(model => model.Description)</label>
            <div class="controls">
                 @Html.EditorFor(model => model.Description)
                 @Html.ValidationMessageFor(model => model.Description)
            </div>
        </div>
        <p>
            <input type="submit" value="Create" />
        </p>
    </fieldset>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>
</div>
</div>
@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
    <script type="text/javascript">
    @if ( ViewBag.AppDivision != null ){
                <text>
        $("#AppDivision_Id").val("@ViewBag.AppDivision.Id");
                </text>
            }
    </script>
}

src/main/EPPW.Web/Areas/Admin/Views/AdminRole/Delete.cshtml
@model EPPW.Membership.Dto.RoleDto
@{
    ViewBag.Title = "Delete";
    Layout = "~/Areas/Admin/Views/Shared/_Layout.cshtml";
}
@section SideContent
{
    <div class="row-fluid">
        <div class="span12">
            <blockquote>
                <p>
                    Role</p>
            </blockquote>
        </div>
    </div>
}
<div class="row-fluid">
    <div class="span2">
    </div>
    <div class="span10">
        <h2>
            Delete</h2>
        <h3>
            Are you sure you want to delete this?</h3>
        <fieldset>
            <legend>Delete a Role</legend>@*<div class="display-label">
                @Html.DisplayNameFor(model => model.Name)
            </div>
            <div class="display-field">
                @Html.DisplayFor(model => model.Name)
            </div>
            <div class="display-label">
                @Html.DisplayNameFor(model => model.Desc)
            </div>
            <div class="display-field">
                @Html.DisplayFor(model => model.Desc)
            </div>*@
            <dl class="dl-horizontal">
                <dt>@Html.DisplayNameFor(model => model.RoleName)</dt>
                <dd>@Html.DisplayFor(model => model.RoleName)</dd>
                <dt>@Html.DisplayNameFor(model => model.Description)</dt>
                <dd>@Html.DisplayFor(model => model.Description)</dd>
            </dl>
        </fieldset>
        @using (Html.BeginForm(ViewContext.RouteData.GetRequiredString("action"), ViewContext.RouteData.GetRequiredString("controller"), FormMethod.Post, new { @class = "form-horizontal" }))
        {
            @Html.HiddenFor(model => model.RoleId)
            <p>
                <input type="submit" value="Delete" />
                |
                @Html.ActionLink("Back to List", "Index")
            </p>
        }
    </div>
</div>

src/main/EPPW.Web/Areas/Admin/Views/AdminRole/Edit.cshtml
@model EPPW.Membership.Dto.RoleDto
@{
    ViewBag.Title = "Edit";
    Layout = "~/Areas/Admin/Views/Shared/_Layout.cshtml";
}
@section SideContent
{
    <div class="row-fluid">
        <div class="span12">
            <blockquote>
                <p>
                    Role</p>
            </blockquote>
        </div>
    </div>
}
<div class="row-fluid">
    <div class="span2">
    </div>
    <div class="span10">
        @using (Html.BeginForm(ViewContext.RouteData.GetRequiredString("action"), ViewContext.RouteData.GetRequiredString("controller"), FormMethod.Post, new { @class = "form-horizontal" }))
        {
           @* @Html.ValidationSummary(true)*@

            <fieldset>
                <legend>Role Edit</legend>
                @Html.HiddenFor(model => model.RoleId)
               <div class="control-group">
                    @Html.LabelFor(model => model.RoleName, new { @class = "control-label" })
                    <div class="controls">
                        <div class="input-prepend">
                            @Html.EditorFor(model => model.RoleName)
                            @Html.ValidationMessageFor(model => model.RoleName)
                        </div>
                    </div>
                </div>
                <div class="control-group">
                    @Html.LabelFor(model => model.Description, new { @class = "control-label" })
                    <div class="controls">
                        <div class="input-prepend">
                            @Html.EditorFor(model => model.Description)
                            @Html.ValidationMessageFor(model => model.Description)
                        </div>
                    </div>
                </div>
                <div class="control-group">
                    @Html.LabelFor(model => model.IsUsed, new { @class = "control-label" })
                    <div class="controls">
                        <div class="switch switch-small">
                            @Html.EditorFor(model => model.IsUsed, "", new { placeholder = "IsUsed" })
                        </div>
                        @Html.ValidationMessageFor(model => model.IsUsed)
                    </div>
                </div>
                <p>
                    <input type="submit" value="Save" />
                </p>
            </fieldset>
        }
        <div>
            @Html.ActionLink("Back to List", "Index")
        </div>
    </div>
</div>
@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}

src/main/EPPW.Web/Areas/Admin/Views/AdminRole/Index.cshtml
@model IEnumerable<EPPW.Membership.Dto.RoleDto>

@{
    ViewBag.Title = "Index";
    Layout = "~/Areas/Admin/Views/Shared/_Layout.cshtml";
}

@section HeadCss
{
    @Styles.Render("~/Content/plugins/datatables")
}

@section Scripts
{
    @Scripts.Render("~/Scripts/Plugins/datatables")
    <script type="text/javascript" language="javascript">
        $(function () {
          
        });
    </script>
}

@section SideContent
{
    <div class="row-fluid">
        <div class="span12" >
            <blockquote>
                <p>Role</p>
                <small>Role list</small>
            </blockquote>

            <p>
            <a href="@Url.Action("Create")" class="btn btn-small" ><i class="icon-plus"></i> Create</a>
            </p>
        

        </div>
    </div>
}
<div class="row-fluid">
    <div class="span12"> 

       @Html.Partial("../AdminRole/_Table" , Model )
</div>
</div>

src/main/EPPW.Web/Areas/Admin/Views/AdminRole/RoleHasPrograms.cshtml
@model IEnumerable<EPPW.Membership.Dto.ProgramDto>
@{
    ViewBag.Title = "RoleHasPrograms";
    Layout = "~/Areas/Admin/Views/Shared/_Layout.cshtml";
}
@section HeadCss
{
    @Styles.Render("~/Content/plugins/datatables")
}
@section SideContent
{
    <div class="row-fluid">
        <div class="span12">
            <blockquote>
                <p>
                    Role</p>
                <small>@ViewBag.RoleName</small>
            </blockquote>
        </div>
    </div>
}
<div class="row-fluid">
    <div class="span2">
    </div>
    <div class="span8">
        <p>
            <a href="#AddProgramModal" class="btn btn-small" role="button" data-toggle="modal"><i
                class="icon-plus"></i>Program</a>
        </p>
        <legend>Role Has Programs</legend>
        <table id="RoleHasProgramsTable" class="table table-bordered zebra-striped dataTable table-hover table-condensed">
            <thead>
                <tr role="row">
                    <th class="header" role="columnheader" tabindex="0" aria-controls="RoleHasProgramsTable"
                        rowspan="1" colspan="1" style="width: 106px;">
                        Program Code
                    </th>
                    <th class="header" role="columnheader" tabindex="0" aria-controls="RoleHasProgramsTable"
                        rowspan="1" colspan="1" style="width: 30px;">
                        Program Name
                    </th>
                    <th class="header" role="columnheader" tabindex="0" aria-controls="RoleHasProgramsTable"
                        rowspan="1" colspan="1" style="width: 106px;">
                        IsUsed
                    </th>
                </tr>
            </thead>
            <tbody>
                @if (Model == null)
                {
                    <tr>
                        <td colspan="4">
                            <p>
                                没有查询的数据。</p>
                        </td>
                    </tr>
                }
                else
                {
                    foreach (EPPW.Membership.Dto.ProgramDto item in Model)
                    {
                    <tr>
                        <td>@Html.DisplayFor(modelItem => item.Code)
                        </td>
                        <td>@Html.DisplayFor(modelItem => item.Name)
                        </td>
                        <td>@Html.DisplayFor(modelItem => item.IsUsed)
                        </td>
                    </tr>
                    }
                }
            </tbody>
        </table>
        <div>
            @Html.ActionLink("Back to List", "Index")
        </div>
    </div>
    <div class="span2">
    </div>
</div>
<div id="AddProgramModal" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="AddProgramLabel"
    aria-hidden="true">
    <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
            ×</button>
        <h3 id="AddProgramLabel">
            Add Program</h3>
    </div>
    <div class="modal-body">
        <table id="AddProgramTable" class="table table-bordered zebra-striped dataTable table-hover table-condensed">
            <thead>
                <tr>
                    <th style="width: 10px;">
                        Select
                    </th>
                    <th class="header" role="columnheader" tabindex="0" aria-controls="AddProgramTable"
                        rowspan="1" colspan="1" style="width: 30px;">
                        Code
                    </th>
                    <th class="header" role="columnheader" tabindex="0" aria-controls="AddProgramTable"
                        rowspan="1" colspan="1" style="width: 30px;">
                        Name
                    </th>
                    <th class="header" role="columnheader" tabindex="0" aria-controls="AddProgramTable"
                        rowspan="1" colspan="1" style="width: 60px;">
                        Desc
                    </th>
                </tr>
            </thead>
            <tbody>
            </tbody>
        </table>
    </div>
    <div class="modal-footer">
        <button class="btn" data-dismiss="modal" aria-hidden="true">
            Close</button>
        <button id="btnAddProgram" type="button" class="btn btn-primary">
            Save changes</button>
    </div>
    <div id="divRoleProgramId">
        @foreach (var program in Model)
        {
            @Html.Hidden("roleProgramId", program.ProgramId, "");
        }
    </div>
</div>
@section Scripts {
    @Scripts.Render("~/Scripts/Plugins/datatables")
    <script type="text/javascript" language="javascript">
        var modifyProgramList = [];
        $(function () {

            $('#AddProgramModal').on('show', function () {
                $('#AddProgramTable').dataTable({
                    "bRetrieve": true,
                    "bProcessing":true,
                    "sAjaxSource": '@Url.Action("ProgramListByRole", "AdminProgram", new { id = ViewBag.RoleId })',
                    "fnDrawCallback": function () {
                        setChecked();
                        $("#AddProgramTable>tbody").find(":checkbox").on("change", function () {

                            var isFind = false;
                            var FindItem;
                            for (var i = 0; i < modifyProgramList.length; i++) {
                                if (modifyProgramList[i].ProgramId == $(this).val()) {
                                    isFind = true;
                                    FindItem = modifyProgramList[i];
                                    break;
                                }
                            }
                            if (isFind == false) modifyProgramList.push({ ProgramId: $(this).val(), Status: $(this).is(":checked") ? 1 : 2 })
                            else 
                            {
                             modifyProgramList.pop(FindItem);
                            }

                        });
                    },
                    "aoColumns": [
                        { "mData": "check" },
                        { "mData": "Code" },
                        { "mData": "Name" },
                        { "mData": "Desc" }
                    ]
                });

                $("#btnAddProgram").on("click", function () {
                    var url = "@Url.Action("Program", "AdminRole", new { id = ViewBag.RoleId })";
                    $.post(url, { data: JSON.stringify(modifyProgramList) }, function () {
                        window.location.reload(true);
                    }, "json");
                });


            });
             $('#AddProgramModal').on("hide",function(){
                setChecked();
                modifyProgramList=[];
            });
                function setChecked(){
                        var checkboxList=$("#AddProgramTable>tbody").find(":checkbox");
                        if(checkboxList.length==0)return;
                        checkboxList.each(function(){
                            $(this)[0].checked=false;
                            var roleProgramIdList=$("#divRoleProgramId").find("input[name='roleProgramId']");
                            for (var i = 0; i < roleProgramIdList.length; i++) {
                                if($(this).val()==$(roleProgramIdList[i]).val())
                                {
                                    $(this)[0].checked=true;
                                    break;
                                }
                            }
                        });
         }

        });
     
    </script>
}

src/main/EPPW.Web/Areas/Admin/Views/AdminRole/RoleHasUsers.cshtml
@model IEnumerable<EPPW.Membership.Dto.UserDto>
@{
    ViewBag.Title = "RoleHasUsers";
    Layout = "~/Areas/Admin/Views/Shared/_Layout.cshtml";
}
@section SideContent
{
    <div class="row-fluid">
        <div class="span12">
            <blockquote>
                <p>
                    Role</p>
                <small>@ViewBag.RoleName</small>
            </blockquote>
        </div>
    </div>
}
<div class="row">
    <div class="span2">
    </div>
    <div class="span8">
        <p>
            <a href="#AddUserModal" class="btn btn-small" role="button" data-toggle="modal"><i
                class="icon-plus"></i>User</a>
        </p>
        <legend>Role Has Users</legend>
        <table id="UsersInRoleTable" class="table table-bordered zebra-striped dataTable table-hover table-condensed">
            <thead>
                <tr role="row">
                    <th class="header" role="columnheader" tabindex="0" aria-controls="UsersInRoleTable"
                        rowspan="1" colspan="1" style="width: 106px;">
                        UserName
                    </th>
                    <th class="header" role="columnheader" tabindex="0" aria-controls="UsersInRoleTable"
                        rowspan="1" colspan="1" style="width: 30px;">
                        Email
                    </th>
                    <th class="header" role="columnheader" tabindex="0" aria-controls="UsersInRoleTable"
                        rowspan="1" colspan="1" style="width: 106px;">
                        RealName
                    </th>
                </tr>
            </thead>
            <tbody>
                @if (Model == null)
                {
                    <tr>
                        <td colspan="4">
                            <p>
                                没有查询的数据。</p>
                        </td>
                    </tr>
                }
                else
                {
                    foreach (EPPW.Membership.Dto.UserDto item in Model)
                    {
                    <tr>
                        <td>@Html.DisplayFor(modelItem => item.UserName)
                        </td>
                        <td>@Html.DisplayFor(modelItem => item.Email)
                        </td>
                        <td>@Html.DisplayFor(modelItem => item.Name)
                        </td>
                    </tr>
                    }
                }
            </tbody>
        </table>
        <div>
            @Html.ActionLink("Back to List", "Index")
        </div>
    </div>
    <div class="span2">
    </div>
</div>
<div id="AddUserModal" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="AddUserLabel"
    aria-hidden="true">
    <div class="modal-header">
        <button id="btnClose1" type="button" class="close" data-dismiss="modal" aria-hidden="true">
            ×</button>
        <h3 id="AddUserLabel">
            Add User</h3>
    </div>
    <div class="modal-body">
        <table id="AddUserTable" class="table table-bordered zebra-striped dataTable table-hover table-condensed">
            <thead>
                <tr>
                    <th style="width: 10px;">
                        Select
                    </th>
                    <th class="header" role="columnheader" tabindex="0" aria-controls="AddUserTable"
                        rowspan="1" colspan="1" style="width: 60px;">
                        Name
                    </th>
                    <th class="header" role="columnheader" tabindex="0" aria-controls="AddUserTable"
                        rowspan="1" colspan="1" style="width: 60px;">
                        Desc
                    </th>
                </tr>
            </thead>
            <tbody>
            </tbody>
        </table>
    </div>
    <div class="modal-footer">
        <button class="btn" data-dismiss="modal" aria-hidden="true">
            Close</button>
 @*       <button id="btnClose2" data-dismiss="modal" aria-hidden="true">
            Close</button>*@
        <button id="btnAddUsers" type="button" class="btn btn-primary">
            Save changes</button>
    </div>

    @*<div class="loadingWord"><img src="../../../../Content/images/public/Waiting.gif">加载中，请稍候...</div>*@
</div>
<div id="hiddenData">
    <div id="divRoleUserId">
        @foreach (var user in Model)
        {
            @Html.Hidden("roleUserId", user.UserId, "");
        }
    </div>
    <div id="divRoleId">
        @*@Html.Hidden("roleId", 22, "");*@
        <input id="roleId" name="roleId" type="hidden" value=@ViewBag.RoleId>
    </div>
</div>
@section Scripts {
   @* @Scripts.Render("~/bundles/jqueryval")*@
    @Scripts.Render("~/Scripts/Plugins/datatables")
    @Scripts.Render("~/bundles/Viewjs/script");

}

src/main/EPPW.Web/Areas/Admin/Views/AdminRole/_Table.cshtml
@model IEnumerable<EPPW.Membership.Dto.RoleDto>
<table id="RoleTable" class="table table-bordered zebra-striped dataTable table-hover table-condensed">
    <thead>
        <tr role="row">
            <th class="header" role="columnheader" tabindex="0" aria-controls="RoleTable" rowspan="1"
                colspan="1" style="width: 106px;">Name
            </th>
            <th class="header" role="columnheader" tabindex="0" aria-controls="RoleTable" rowspan="1"
                colspan="1" style="width: 30px;">IsUsed
            </th>
            <th class="header" role="columnheader" tabindex="0" aria-controls="RoleTable" rowspan="1"
                colspan="1" style="width: 106px;">Desc
            </th>
            <th class="header" role="columnheader" tabindex="0" aria-controls="RoleTable" rowspan="1"
                colspan="1" style="width: 30px;">
                User
            </th>
            <th class="header" role="columnheader" tabindex="0" aria-controls="RoleTable" rowspan="1"
                colspan="1" style="width: 30px;">
                Program
            </th>
            <th class="header" role="columnheader" tabindex="0" aria-controls="RoleTable" rowspan="1"
                colspan="1" style="width: 30px;">
            </th>
        </tr>
    </thead>
    <tbody>
        @if (Model == null)
        {
            <tr>
                <td colspan="4">
                    <p>
                        没有查询的数据。</p>
                </td>
            </tr>
        }
        else
        {
            foreach (EPPW.Membership.Dto.RoleDto item in Model)
            {
            <tr>
                <td>@Html.DisplayFor(modelItem => item.RoleName)
                </td>
                <td>@Html.DisplayFor(modelItem => item.IsUsed)
                </td>
                <td>@Html.DisplayFor(modelItem => item.Description)
                </td>
                <td>
                    <a href="@Url.Action("RoleHasUsers", "AdminRole", new { id = item.RoleId, roleName =item.RoleName})" class="btn btn-small btn-block" title="Users" >
                        <i class="icon-user"></i>@item.UserCnt </a>
                </td>
                <td>
                    <a href="@Url.Action("RoleHasPrograms", "AdminRole", new { id = item.RoleId })" class="btn btn-small btn-block" title="Program" >
                        <i class="icon-list-alt"></i>@item.ProgramCnt</a>
                </td>
                <td>
                    <div class="btn-group">
                        <a href="@Url.Action("Edit", "AdminRole", new { id = item.RoleId })" class="btn btn-small" title="Edit" >
                                <i class='icon-edit'></i></a><a href="@Url.Action("Delete", "AdminRole", new { id = item.RoleId })" class="btn btn-small" title="Delete">
                                    <i class='icon-trash'></i></a>
                    </div>
                </td>
            </tr>
            }
        }
    </tbody>
</table>